summaryrefslogtreecommitdiff
path: root/lib/tevent/configure
diff options
context:
space:
mode:
authorJelmer Vernooij <jelmer@samba.org>2010-09-23 17:29:53 -0700
committerJelmer Vernooij <jelmer@samba.org>2010-09-25 12:20:57 -0700
commit296ff486e41d309493c9ddb195578cb6355e2b36 (patch)
tree801385522a05eeb710faef79149e847bef17ffc9 /lib/tevent/configure
parente68afdc02f7ead1da8d0e11cf13a1845eebe7d48 (diff)
downloadsamba-296ff486e41d309493c9ddb195578cb6355e2b36.tar.gz
samba-296ff486e41d309493c9ddb195578cb6355e2b36.tar.bz2
samba-296ff486e41d309493c9ddb195578cb6355e2b36.zip
Check in configure/Makefile for those projects that have waf as primary build system.
Diffstat (limited to 'lib/tevent/configure')
-rwxr-xr-xlib/tevent/configure14
1 files changed, 14 insertions, 0 deletions
diff --git a/lib/tevent/configure b/lib/tevent/configure
new file mode 100755
index 0000000000..2d4aec724e
--- /dev/null
+++ b/lib/tevent/configure
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+PREVPATH=`dirname $0`
+
+WAF=../../buildtools/bin/waf
+
+# using JOBS=1 gives maximum compatibility with
+# systems like AIX which have broken threading in python
+JOBS=1
+export JOBS
+
+cd . || exit 1
+$WAF configure "$@" || exit 1
+cd $PREVPATH